Cisco IOS H.323 Protocol Implementation Flaws

This script is (C) 2004-2013 Tenable Network Security, Inc.


Synopsis :

The remote network device has a buffer overflow vulnerability.

Description :

According to its version number, the remote host is running a
vulnerable version of Cisco IOS. The affected versions have multiple
buffer overflow vulnerabilities in the H.323 processing routines.
H.323 is a standard that defines several protocols used for
audio/visual applications, including IP telephony.

A remote attacker could use this to cause a denial of service, or
potentially execute arbitrary code.

See also :

http://www.nessus.org/u?767c198a

Solution :

Upgrade to the latest version of IOS, or block all H.323 traffic.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 5.5
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: CISCO

Nessus Plugin ID: 12023 (cisco_h323_dos.nasl)

Bugtraq ID: 9406

CVE ID: CVE-2004-0054